Skip to main content
GET
/
api
/
2.0
/
packaged_medications
List Packaged Medications
curl --request GET \
  --url https://sandbox.elationemr.com/api/2.0/packaged_medications/ \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "created_date": "2023-11-07T05:31:56Z",
      "deleted_date": "2023-11-07T05:31:56Z",
      "din": "<string>",
      "gpi": "<string>",
      "has_outer_packaged_drug": true,
      "hri": "<string>",
      "id": 123,
      "is_active": true,
      "is_clinic_pack": true,
      "is_repackaged": true,
      "labeler_id": 123,
      "market_end_date": "2023-11-07T05:31:56Z",
      "medispanppid": "<string>",
      "multi_source": "<string>",
      "name": "<string>",
      "ndc": "<string>",
      "obsolete_date": "2023-11-07T05:31:56Z",
      "packaging_name": "<string>",
      "reference_medication_id": 123,
      "size_description": "<string>",
      "upc": "<string>"
    }
  ],
  "count": 123,
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100"
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

is_active
boolean
is_deleted
boolean

If true, return only soft-deleted packaged medications. If false, exclude soft-deleted packaged medications. If omitted, both are returned.

limit
integer

Number of results to return per page.

name
string[]

The name of the packaged medication.

ndc
(string | null)[]

The National Drug Code associated with the packaged medication.

offset
integer

The initial index from which to return the results.

order_by
string

Which field to use when ordering the results.

reference_medication_id
integer<int64>[]

The id of the reference medication associated with the packaged medication.

Response

200 - application/json
results
object[]
required
count
integer
Example:

123

next
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=200&limit=100"